<?php

/* add custom post types for the portfolio and the slider */
add_action( 'init', 'yy_portfolio_register' );
add_action( 'init', 'yy_slider_register' );
 

function yy_portfolio_register() {
	 
	$labels = array(
		'name' => _x( "نمونه‌کار", "post type general name", 'onioneye' ),
		'singular_name' => _x( "آیتم نمونه‌کار", "post type singular name", 'onioneye' ),
		'add_new' => _x( "افزودن", "portfolio item", 'onioneye' ),
		'add_new_item' => __( "افزودن آیتم نمونه‌کار جدید", 'onioneye' ),
		'edit_item' => __( "ویرایش آیتم نمونه‌کار", 'onioneye' ),
		'new_item' => __( "آیتم نمونه‌کار جدید", 'onioneye' ),
		'view_item' => __( "مشاهده آیتم نمونه‌کار", 'onioneye' ),
		'search_items' => __( "جستجوی نمونه‌کار", 'onioneye' ),
		'not_found' =>  __( "چیزی پیدا نشد", 'onioneye' ),
		'not_found_in_trash' => __( "چیزی در زباله‌دان پیدا نشد", 'onioneye' ),
		'parent_item_colon' => ''
	);
 
	$args = array(
		'labels' => $labels,
		'public' => true,
		'menu_position' => 25,
		'publicly_queryable' => true,
		'exclude_from_search' => true,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position' => null,
		'supports' => array( 'title', 'editor', 'thumbnail' )
	  ); 
 
	register_post_type( 'portfolio' , $args );
	flush_rewrite_rules();
}

function yy_slider_register() {
 
	$labels = array(
		'name' => _x( "اسلایدر", "post type general name", 'onioneye' ),
		'singular_name' => _x( "آیتم اسلایدر", "post type singular name", 'onioneye' ),
		'add_new' => _x( "افزودن", "slider item", 'onioneye' ),
		'add_new_item' => __( "افزودن آیتم اسلایدر جدید", 'onioneye' ),
		'edit_item' => __( "ویرایش آیتم اسلایدر", 'onioneye' ),
		'new_item' => __( "آیتم اسلایدر جدید", 'onioneye' ),
		'view_item' => __( "مشاهده آیتم اسلایدر", 'onioneye' ),
		'search_items' => __( "جستجوی اسلایدر", 'onioneye' ),
		'not_found' =>  __( "چیزی پیدا نشد", 'onioneye' ),
		'not_found_in_trash' => __( "چیزی در زباله‌دان پیدا نشد", 'onioneye' ),
		'parent_item_colon' => ''
	);
 
	$args = array(
		'labels' => $labels,
		'public' => true,
		'menu_position' => 20,
		'publicly_queryable' => true,
		'exclude_from_search' => true,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position' => null,
		'supports' => array( 'title', 'editor', 'thumbnail' )
	  ); 
 
	register_post_type( 'slider' , $args );
	flush_rewrite_rules();
	
}


register_taxonomy( "portfolio_categories", array( "portfolio" ), array( "hierarchical" => true, "label" => __( "دسته‌ها", 'onioneye' ), "singular_label" => __( "دسته نمونه‌کار", 'onioneye' ), "rewrite" => true ) );


/* Display the categories on the Portfolio page */
add_action( "manage_posts_custom_column",  "yy_portfolio_custom_columns" );
add_filter( "manage_edit-portfolio_columns", "yy_portfolio_edit_columns" );
 
 
function yy_portfolio_edit_columns( $columns ) {
  
  $columns = array(
    "cb" => "<input type=\"checkbox\" />",
    "title" => __( "عنوان نمونه‌کار", 'onioneye' ),
    "portfoliocategories" => __( "دسته‌ها", 'onioneye' ),
    "date" => __( "تاریخ", 'onioneye' )
  );
 
  return $columns;
  
}


function yy_portfolio_custom_columns( $column ) {
	
  global $post;
 
  switch ($column) {
    case "description":
      the_excerpt();
      break;
    case "portfoliocategories":
      echo get_the_term_list( $post->ID, 'portfolio_categories', '', ', ','' );
      break;
  }
  
}

?>